=========================Media Player========================

[Rainmeter]
Author=eAsy
AppVersion=2.0.0.1
Update=1000


[Metadata]
Name=Windows Media Player Controller
Config=
Description=
Instructions=
Version=2.0.0.1
Variant=

;End of added Metadata

;============================= Background ===============================

[MeterBlack]
Meter=IMAGE
X=0
Y=0
ImageName=Panel3.png


; Buttons ------------------------------------------------------------



[Prev]
Meter=IMAGE
ImageName=Images/preva.png
X=33
Y=46
MouseOverAction=!Execute [!RainmeterShowMeter PrevOver][!RainmeterHideMeter Prev][!RainmeterRedraw]

[PrevOver]
Meter=Image
ImageName=Images/prev1a.png
X=33
Y=46
Hidden=1
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18810 0"]
MouseLeaveAction=!Execute [!RainmeterShowMeter Prev][!RainmeterHideMeter PrevOver][!RainmeterRedraw]

[Play]
Meter=IMAGE
ImageName=Images/playpausea.png
X=80
Y=43
Hidden=0
MouseOverAction=!Execute [!RainmeterShowMeter PlayOver][!RainmeterHideMeter Play][!RainmeterRedraw]

[PlayOver]
Meter=Image
ImageName=Images/playpause1a.png
X=80
Y=43
Hidden=1
LeftMouseUpAction=!Execute [!RainmeterShowMeter PlayOver][!RainmeterHideMeter Play][!RainmeterRedraw][!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18808 0"];
MouseLeaveAction=!Execute [!RainmeterShowMeter Play][!RainmeterHideMeter PlayOver][!RainmeterRedraw]

[Next]
Meter=IMAGE
ImageName=Images/nexta.png
X=154
Y=46
MouseOverAction=!Execute [!RainmeterShowMeter NextOver][!RainmeterHideMeter Next][!RainmeterRedraw]

[NextOver]
Meter=Image
ImageName=Images/next1a.png
X=154
Y=46
Hidden=1
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18811 0"]
MouseLeaveAction=!Execute [!RainmeterShowMeter Next][!RainmeterHideMeter NextOver][!RainmeterRedraw]



[volMute]
Meter=
ImageName=images/sound.png
X=186
Y=9
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18817 0"][!RainmeterShowMeter volMuteActive][!RainmeterHideMeter volMute][!RainmeterRedraw]

[volMuteActive]
Meter=
ImageName=images/sound_mute.png
X=182
Y=9
Hidden=1
LeftMouseUpAction=!Execute [!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18817 0"][!RainmeterShowMeter volMute][!RainmeterHideMeter volMuteActive][!RainmeterRedraw]

;---------------------------------------------------------------------

; Options -------------------------------------------------------------

[Variables]
WMPFolder=c:\progra~1\Windows Media Player\ 
Start=0
Params="."

[CheckWMP]
Measure=Plugin
Plugin=Perfmon.dll
PerfMonObject="Process"
PerfMonCounter="ID Process"
PerfMonInstance="wmplayer"
PerfMonDifference=0
IfEqualValue=0
IfEqualAction=!Execute [!RainmeterSetVariable Start "wmplayer.exe"][!RainmeterSetVariable Params "."][!RainmeterSetVariable Start "wmplayer.exe"]
IfAboveValue=0
IfAboveAction=!Execute [!RainmeterSetVariable Start "!RainmeterPluginBang"][!RainmeterSetVariable Params "MeasureWindowsMedia SendMessage 273 57665 0"]

; Options -> Measures -------------------------------------------------

[MeasureWindowsMedia]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=WMPlayerApp

[MeasureTitle]
Measure=Registry
RegHKey=HKEY_CURRENT_USER
RegKey=Software\Microsoft\MediaPlayer\CurrentMetadata
RegValue=Title

[MeasureAlbum]
Measure=Registry
RegHKey=HKEY_CURRENT_USER
RegKey=Software\Microsoft\MediaPlayer\CurrentMetadata
RegValue=Album

[MeasureArtist]
Measure=Registry
RegHKey=HKEY_CURRENT_USER
RegKey=Software\Microsoft\MediaPlayer\CurrentMetadata
RegValue=Author

;----------------------------------------------------------------------


LeftMouseUpAction=!Execute ["wmplayer.exe"];



LeftMouseUpAction!Execute [!RainmeterShowMeter ][!RainmeterShowMeter PlayOver][!RainmeterHideMeter Play][!RainmeterRedraw][!RainmeterPluginBang "MeasureWindowsMedia SendMessage 273 18808 0"];